Cancel a booking
curl -X POST "https://api.meetonbridge.com/v1/bookings/123e4567-e89b-12d3-a456-426614174000/cancel" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (bridge_live_...)" \
-d '{
"reason": "example_string"
}'
import requests
import json
url = "https://api.meetonbridge.com/v1/bookings/123e4567-e89b-12d3-a456-426614174000/cancel"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (bridge_live_...)"
}
data = {
"reason": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.meetonbridge.com/v1/bookings/123e4567-e89b-12d3-a456-426614174000/cancel", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (bridge_live_...)"
},
body: JSON.stringify({
"reason": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"reason": "example_string"
}`)
req, err := http.NewRequest("POST", "https://api.meetonbridge.com/v1/bookings/123e4567-e89b-12d3-a456-426614174000/cancel", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (bridge_live_...)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.meetonbridge.com/v1/bookings/123e4567-e89b-12d3-a456-426614174000/cancel')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (bridge_live_...)'
request.body = '{
"reason": "example_string"
}'
response = http.request(request)
puts response.body
{
"status": "example_string",
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "confirmed",
"booking_page": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "John Doe"
},
"start": "2024-12-25T10:00:00Z",
"end": "2024-12-25T10:00:00Z",
"duration_minutes": 42,
"attendee": {
"name": "John Doe",
"first_name": "null",
"last_name": "null",
"email": "user@example.com",
"timezone": "example_string",
"phone": "null"
},
"guests": [
"example_string"
],
"notes": "null",
"responses": [
{
"id": "example_string",
"question": "null",
"type": "null",
"answer": "null"
}
],
"sms_consent": "null",
"location": {
"type": "bridge",
"address": "null",
"maps_url": "null",
"meeting_url": "null"
},
"hosts": [
{
"id": 123,
"name": "John Doe",
"email": "null"
}
],
"utm": {},
"cancellation": "null",
"rescheduled_at": "null",
"created_at": "2024-12-25T10:00:00Z",
"updated_at": "2024-12-25T10:00:00Z"
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Please try again later",
"code": 429,
"retryAfter": 3600
}
POST
/bookings/{id}/cancelPOST
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token (bridge_live_...)
Bearer Tokenstring
RequiredBearer token (bridge_live_...) - just enter the token, "Bearer" prefix will be added automatically
path
idstring
RequiredBooking id
Format: uuid
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token (bridge_live_...). Authentication token required.
Path Parameters
idstring
RequiredBooking id
Body
application/json
Responses
statusstring
Requireddataobject
RequiredWas this page helpful?